com.microfocus.awm.model

## Interface IFilter

- All Superinterfaces:
    org.eclipse.core.runtime.IAdaptable, IResource
  All Known Implementing Classes:
    Filter

      public interface IFilter
      extends IResource

  AWM managed instance of a `FilterType`.

  If a loaded AWM application contains at least one modeled filter type, users can create filters from the Team Developer Filter View.
  If the model contains "element type has filter" relationships, filters can be created from corresponding elements in the Team Developer Tree View.

  Filters are managed by the `IFilterList`.

  Not intended to be implemented by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ID_PREFIX` Cache ID prefix.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FilterType` | `getFilterType()` Gets the filter type of the filter.
    `boolean` | `isChangePending()` Whether changes have been made to the filter (e.g.
    `void` | `setChangePending(boolean pChangePending)` Sets whether there are pending changes for this filter.
    `void` | `setFilterType(FilterType pFilType)` Sets the filter type of the filter.

    - ### Methods inherited from interface com.microfocus.awm.model.IResource

      `addChildResource, addPropertyValue, addResourceChild, delete, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Field Detail

    - #### ID_PREFIX

          static final java.lang.String ID_PREFIX

      Cache ID prefix.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getFilterType

          FilterType getFilterType()

      Gets the filter type of the filter.
      Returns:
        the filter type

    - #### setFilterType

          void setFilterType(FilterType pFilType)

      Sets the filter type of the filter.
      Parameters:
        `pFilType` - the new filter type

    - #### isChangePending

          boolean isChangePending()

      Whether changes have been made to the filter (e.g. the user edited the filter properties).
      Returns:
        `true` if changes have been made to the filter

    - #### setChangePending

          void setChangePending(boolean pChangePending)

      Sets whether there are pending changes for this filter.

      Should be set to `true` if changes were made to the filter and e.g. filter actions must be executed again to refresh potential result lists.

      Should be set to `false` by actions which refresh the filter and potential result lists.

      Parameters:
        `pChangePending` - whether changes are pending for the filter

Copyright © 2015 Micro Focus GmbH. All rights reserved.